> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wellapp.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Transaction

> Delete a specific transaction by its unique ID or perform a soft delete based on business rules.



## OpenAPI

````yaml DELETE /v1/transactions/{id}
openapi: 3.1.0
info:
  title: Well Document API
  version: 1.0.0
  description: API for uploading and managing financial documents in the Well platform
servers:
  - url: https://api.wellapp.ai
security: []
paths:
  /v1/transactions/{id}:
    delete:
      tags:
        - Transactions
      summary: Delete a transaction
      description: >-
        Delete a specific transaction by its unique ID or perform a soft delete
        based on business rules.
      operationId: deleteTransaction
      parameters:
        - $ref: '#/components/parameters/AuthorizationHeader'
        - name: id
          in: path
          required: true
          description: The unique identifier of the transaction to delete
          schema:
            type: string
            format: uuid
          example: 550e8400-e29b-41d4-a716-446655440010
        - name: force
          in: query
          required: false
          description: Force hard delete even for completed transactions (admin only)
          schema:
            type: boolean
            default: false
          example: false
      responses:
        '204':
          description: Transaction deleted successfully
          headers:
            X-Deletion-Type:
              description: Type of deletion performed (hard or soft)
              schema:
                type: string
                enum:
                  - hard
                  - soft
        '401':
          description: Unauthorized - invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                errors:
                  - id: unauthorized
                    status: '401'
                    code: UNAUTHORIZED
                    title: Unauthorized
                    detail: Valid authentication credentials are required
        '404':
          description: Transaction not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                errors:
                  - id: transaction_not_found
                    status: '404'
                    code: TRANSACTION_NOT_FOUND
                    title: Transaction Not Found
                    detail: >-
                      The requested transaction does not exist or you don't have
                      permission to access it
                    source:
                      parameter: id
components:
  parameters:
    AuthorizationHeader:
      name: Authorization
      in: header
      required: true
      schema:
        type: string
      description: Bearer token for authentication
  schemas:
    ErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              status:
                type: string
              code:
                type: string
              title:
                type: string
              detail:
                type: string
            required:
              - status
              - code
              - title
              - detail

````